
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinInsuerInfo.xaml
//文件描述: 保险商相关管理信息
//创 建 者: xls
//创建日期: 2018/5/24 21:55:24
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Com.FirmLib.UI.BllCommon;
using FWindSoft.Wpf;
using FWindSoft.Wpf.Controls;

namespace Com.FirmLib.UI.Insuer
{
    /// <summary>
    /// WinInsuerInfo.xaml 的交互逻辑
    /// </summary>
    public partial class WinInsuerInfo : NChildWindow
    {
        private VmInsuerInfo m_Vm;
        public WinInsuerInfo():this(new VmInsuerInfo())
        {
          
        }
        public WinInsuerInfo(VmInsuerInfo vm)
        {
            InitializeComponent();
            EveryTimeLoad = true;
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
            this.CommandBindings.Add(new CommandBinding(EditCommands.SingleUpdate, SingleUpdate));
        }
        protected override void LoadData(LoadParameter parameter)
        {
            //初始化列表数据
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
            //加载醒目信息
            this.Title = this.m_Vm.Name;
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
                //if (Execute())
                //{
                //    MessageShow.Infomation("");
                //    DialogResult = true;
                //}
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion

        #region 命令绑定相关
        void SingleUpdate(object sender, ExecutedRoutedEventArgs e)
        {
            TextBoxEditor editor = e.Parameter as TextBoxEditor;
            if (editor == null)
                return;
            string field = string.Empty;
            if (editor.Tag != null)
            {
                field = editor.Tag.ToString();
            }
            bool result = this.m_Vm.SingleUpdateVenderItem(field);
            if (!result)
            {
                //editor.Focus();
                editor.IsEditing = true;
            }
        }
        #endregion
    }
}
